# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="0.1.0"></a>

# 0.1.0 (2018-10-22)

### Bug Fixes

- **appealable-arbitrator:** wrong params ([99ceb9f](https://github.com/kleros/kleros-interaction/commit/99ceb9f))
- **arbitrable-permission-list:** items counts logic ([2ace35e](https://github.com/kleros/kleros-interaction/commit/2ace35e))
- remove constant modifiers to be able to compile ([0f41d1b](https://github.com/kleros/kleros-interaction/commit/0f41d1b))
- **arbitrator-versioning-proxy:** stop accessing non-standard Arbitrator.disputes ([f86a811](https://github.com/kleros/kleros-interaction/commit/f86a811)), closes [#24](https://github.com/kleros/kleros-interaction/issues/24)
- **backed-up-arbitrator:** appeal logic ([6e8a598](https://github.com/kleros/kleros-interaction/commit/6e8a598))
- **helpers:** add missing await ([23d0ae0](https://github.com/kleros/kleros-interaction/commit/23d0ae0))
- **multi-party-agreements:** record ruling ([4158802](https://github.com/kleros/kleros-interaction/commit/4158802))
- **multi-party-insurable-fees:** possible underflow ([4b96a24](https://github.com/kleros/kleros-interaction/commit/4b96a24))
- **multi-party-insurable-fees:** underflow ([c44da30](https://github.com/kleros/kleros-interaction/commit/c44da30))
- **multiple-arbitrable-payment:** handle no ruling ([a2bf326](https://github.com/kleros/kleros-interaction/commit/a2bf326))
- Merge conflict bug on TwoPartyArbitrable.sol ([fa3700a](https://github.com/kleros/kleros-interaction/commit/fa3700a))
- **multiplearbitrablepayment:** use transactionId instead disputeId ([6f92ed7](https://github.com/kleros/kleros-interaction/commit/6f92ed7))
- Amount of choices for inheriting contracts ([2866689](https://github.com/kleros/kleros-interaction/commit/2866689))
- Conflict ad package.json. Updates truffle to 4.1.13 ([118ee09](https://github.com/kleros/kleros-interaction/commit/118ee09))
- Conflict on TwoPartyArbitrable.sol with master ([bf471d1](https://github.com/kleros/kleros-interaction/commit/bf471d1))
- Docs and params ([50006de](https://github.com/kleros/kleros-interaction/commit/50006de))
- Make amountOfChoices public ([a0ba69c](https://github.com/kleros/kleros-interaction/commit/a0ba69c))
- make mult arbitrable evidence standard compliant ([3a7cffa](https://github.com/kleros/kleros-interaction/commit/3a7cffa))
- Merge updates ([6a60f44](https://github.com/kleros/kleros-interaction/commit/6a60f44))
- Remove contracts not being used ([ec38cfd](https://github.com/kleros/kleros-interaction/commit/ec38cfd))
- Remove truffle test temporary file ([e0c18d2](https://github.com/kleros/kleros-interaction/commit/e0c18d2))
- Split fees between parties ([04f5995](https://github.com/kleros/kleros-interaction/commit/04f5995))
- wrong package number ([588df6b](https://github.com/kleros/kleros-interaction/commit/588df6b))
- **ruling:** avoid arbitrator to change ruling ([be502ba](https://github.com/kleros/kleros-interaction/commit/be502ba))

### Features

- **appealable-arbitrator:** finish ([88dfc61](https://github.com/kleros/kleros-interaction/commit/88dfc61)), closes [#3](https://github.com/kleros/kleros-interaction/issues/3)
- enhance query and add itemsCount ([0516262](https://github.com/kleros/kleros-interaction/commit/0516262))
- **arbitrable:** index party in evidence ([a0259a0](https://github.com/kleros/kleros-interaction/commit/a0259a0))
- **arbitrable-permission-list:** add events ([37fc8fd](https://github.com/kleros/kleros-interaction/commit/37fc8fd))
- **arbitrable-permission-list:** items counts ([98342ec](https://github.com/kleros/kleros-interaction/commit/98342ec))
- **arbitrable-permission-list:** query items by status and sort ([bc688b5](https://github.com/kleros/kleros-interaction/commit/bc688b5))
- **arbitration:** implement arbitrator subcourts ([53b6263](https://github.com/kleros/kleros-interaction/commit/53b6263))
- **arbitrator:** change event params for usability ([e07b1a8](https://github.com/kleros/kleros-interaction/commit/e07b1a8))
- **arbitrator-court:** support local appeals ([45a0020](https://github.com/kleros/kleros-interaction/commit/45a0020))
- **arbitrator-court-and-proxy:** more precise address types ([6f8f189](https://github.com/kleros/kleros-interaction/commit/6f8f189))
- **arbitrator-versioning-proxy:** handle appeals and dispute creation ([739a55c](https://github.com/kleros/kleros-interaction/commit/739a55c))
- **arbitrator-versioning-proxy:** implement proxy-unique disputeIDs ([b913c49](https://github.com/kleros/kleros-interaction/commit/b913c49))
- **backed-up-arbitrator:** add time out ([e932d5f](https://github.com/kleros/kleros-interaction/commit/e932d5f))
- **backed-up-arbitrator:** create contract ([b2e95ef](https://github.com/kleros/kleros-interaction/commit/b2e95ef))
- **backed-up-arbitrator:** finish implementation ([55a738f](https://github.com/kleros/kleros-interaction/commit/55a738f)), closes [#4](https://github.com/kleros/kleros-interaction/issues/4)
- **backed-up-arbitrator:** follow spec ([1ff2da4](https://github.com/kleros/kleros-interaction/commit/1ff2da4))
- Allows number of ruling options to be defined on creation ([6619f2a](https://github.com/kleros/kleros-interaction/commit/6619f2a))
- **backed-up-arbitrator:** implement appealCost ([07d99dd](https://github.com/kleros/kleros-interaction/commit/07d99dd))
- **backed-up-arbitrator:** implement changeBackUp ([2614b25](https://github.com/kleros/kleros-interaction/commit/2614b25))
- **backed-up-arbitrator:** implement constructor ([ba65384](https://github.com/kleros/kleros-interaction/commit/ba65384))
- **backed-up-arbitrator:** implement storage ([a33b11d](https://github.com/kleros/kleros-interaction/commit/a33b11d))
- **backed-up-arbitrator:** set arbitration price ([ba88556](https://github.com/kleros/kleros-interaction/commit/ba88556))
- implement new evidence standard ([08c88c3](https://github.com/kleros/kleros-interaction/commit/08c88c3))
- **composed-arbitrable:** implement ([#129](https://github.com/kleros/kleros-interaction/issues/129)) ([74c057d](https://github.com/kleros/kleros-interaction/commit/74c057d))
- **multi-party-insurable-fees:** let side 0 raise appeal ([661ee46](https://github.com/kleros/kleros-interaction/commit/661ee46))
- **permission:** generalize blacklist/whitelist functionality ([748097a](https://github.com/kleros/kleros-interaction/commit/748097a))
- **proxy:** finish simple arbitrator versioning proxy ([8578870](https://github.com/kleros/kleros-interaction/commit/8578870))
- **proxy:** set up proxy framework ([798dd4f](https://github.com/kleros/kleros-interaction/commit/798dd4f))
- **proxy:** use Arbitrator instead of KlerosPOC and factor out unneeded functionality ([e3ad32b](https://github.com/kleros/kleros-interaction/commit/e3ad32b))
- **simple-arbitrator-versioning-proxy:** start work on simpler proxy ([7aeaa02](https://github.com/kleros/kleros-interaction/commit/7aeaa02))
- **versioning-proxy:** implement base contract and derived skeleton ([b86df6e](https://github.com/kleros/kleros-interaction/commit/b86df6e))
- **versioning-proxy:** set up stable change handler ([7035757](https://github.com/kleros/kleros-interaction/commit/7035757))
- add MetaEvidence events ([7cf5bb4](https://github.com/kleros/kleros-interaction/commit/7cf5bb4))
- ArbitrableKitty for cryptokitty custody arbitration ([ac7d116](https://github.com/kleros/kleros-interaction/commit/ac7d116))
- better ItemStatusChange event ([5a7d077](https://github.com/kleros/kleros-interaction/commit/5a7d077))
- compile contracts ([91b8bc1](https://github.com/kleros/kleros-interaction/commit/91b8bc1))
- remove ContactHash from constructor ([e511c81](https://github.com/kleros/kleros-interaction/commit/e511c81))
- set meta evidence in constructor ([8a7102d](https://github.com/kleros/kleros-interaction/commit/8a7102d))
- simplify proxies ([2fa3cc4](https://github.com/kleros/kleros-interaction/commit/2fa3cc4))
